
post
/v4/config/decode/{distributionChainId}
Decodes campaign data from the Distribution contract. Use distributionChainId path parameter and provide on-chain campaign data in body.
Path parameters
distributionChainIdnumber | stringrequired
Request body
campaignIdstringrequired
creatorstringrequired
Address
rewardTokenstringrequired
Address
amountstringrequired
campaignTypeintegerrequired
startTimestampnumberrequired
Unix timestamp in seconds (not milliseconds).
durationintegerrequired
campaignDatastringrequired
Responses
200Response for status 200
Schema
any
Example
null
post
https://api.merkl.xyz/v4/config/decode/curl -X POST "https://api.merkl.xyz/v4/config/decode/1" \
-H "Content-Type: application/json" \
-d '{ "creator": "0x88888887C3ebD4a33E34a15Db4254C74C75E5D4A", "rewardToken": "0x3a4de44B29995a3D8Cd02d46243E1563E55bCc8b", "amount": "1000000000000000000", "startTimestamp": 1789663917 }'Live request: this will call https://api.merkl.xyz/ for real.